﻿/*
 * SPiDER.js
 *
 * Copyright 2020
 * Carnegie Robotics LLC
 * 4501 Hatfield Street
 * Pittsburgh PA 15201
 * https://carnegierobotics.com
 */

var SPiDER = {};

SPiDER.ViewMode = {
    UNWRAPPED: 1,
    INTERIOR: 2,
    EXTERIOR: 3,
    VIRTUAL_REALITY: 4
};

SPiDER.UNWRAPPED_VIEW = SPiDER.ViewMode.UNWRAPPED;
SPiDER.INTERIOR_VIEW = SPiDER.ViewMode.INTERIOR;
SPiDER.EXTERIOR_VIEW = SPiDER.ViewMode.EXTERIOR;
SPiDER.VIRTUAL_REALITY_VIEW = SPiDER.ViewMode.VIRTUAL_REALITY;

SPiDER.ProjectionMode = {
    ORTHOGRAPHIC: 1,
    PERSPECTIVE: 2
};

SPiDER.ORTHOGRAPHIC_PROJECTION = SPiDER.ProjectionMode.ORTHOGRAPHIC;
SPiDER.PERSPECTIVE_PROJECTION = SPiDER.ProjectionMode.PERSPECTIVE;
